/*  dem2pgm.c -- convert DEM file to PGM file  */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "dem.h"

void usage(char *progname)
{
  fprintf(stderr,
	  "usage: %s [DEMfile [PGMfile]]\n", progname);
  exit(1);
}


int main(int argc, char *argv[])
{
  int i, j;
  FILE *out;
  int opti;
  char *inName,*outName;
  Dem *dem;
	
  opti = 1;
  if (argc > opti) {
    inName = argv[opti];
    opti++;
  } else {
    inName = NULL;
  }
  if (argc > opti) {
    outName = argv[opti];
    opti++;
  } else {
    outName = NULL;
  }
  if (argc > opti) usage(argv[0]);

  if (outName) {
    out = fopen(outName,"wb");
    if (out==NULL) {
      fprintf(stderr, "Can't open %s for write.\n",outName);
      exit(1);
    }
  } else {
    out = stdout;
  }

  dem = readDEM(inName);

  if (dem == NULL)
    exit(1);
	
  fprintf(stderr, "%s\n", dem->name);
  fprintf(stderr, "Writing...");
  fflush(stderr);
	
  fprintf(out, "P2\n");
  fprintf(out, "# produced by dem2pgm\n");
  fprintf(out, "%d %d\n", dem->cols, dem->rows);
  fprintf(out, "%d\n", (int)(dem->maxElevation));
  for (i = dem->rows - 1; i >= 0; --i) {
    for(j = 0; j < dem->cols; ++j) {
      fprintf(out, "%u ", dem->data[j][i]);
    }
    fprintf(out, "\n");
  }
  fprintf(stderr, "done\n");
	
  return 0;
}
