/*  protos.h -- function prototypes for TopoVista  */

/* color.c */
void initColors(void);

/* control.c */
void openCtlWin(void);
void keyCB(unsigned char key, int x, int y);
void specialCB(int key, int x, int y);

/* dem.c */
/*(see dem.h)*/

/* emit.c */
void emitSurface(Hier *hp, int type);

/* eps.c */
void outputEPS(int doSort, char *filename);

/* infov.c */
int inROD(Coord2d p1, Coord2d p2, Coord2d p3);
int triInFOV(TriIndex t);

/* main.c */
 
/* neighbor.c */
TriIndex nbr1(Hier *hp, TriIndex t);
TriIndex nbr2(Hier *hp, TriIndex t);
TriIndex nbr3(Hier *hp, TriIndex t);

/* normal.c */
void surfaceNormal(Hier *h);

/* overhead.c */
void openOvhWin(void);
void ovhDisplayCB(void);
void ovhReshapeCB(int w, int h);
void mouseto(int btn, int x, int y);

/* path.c */
void emitPaths(Hier* hp, Path* ps);
Path* readPaths(char* filename);

/* pnmops.c */
/*(see pnmops.h)*/

/* print.c */
void printSurface(Hier *h, char *fname);

/* split.c */
void split(Hier *hp, TriIndex t);

/* surface.c */
void errSurface(Hier *hp);

/* trans.c */
/*(see basic.h)*/

/* tri.c */
Hier *initHier(void);
void setCoord(Coord2d p1, Coord2d p2);
void getVerts(TriIndex t, Coord2d p1, Coord2d p2, Coord2d p3);
void midpoint(Coord2d p1, Coord2d p2, Coord2d m);

/* utils.c */
/*(see basic.h)*/

/* view.c */
int zval(int x, int y);
void openPspWin(void);
void buildSurface(void);
void viewChanged(void);
void renderPsp(void);
void setEyeRefHeight(void);
